Commit 23482ea5 authored by Florent Jaillet's avatar Florent Jaillet

Update dockerfile to allow installing ltfatpy via pip (will be used for pyteuf)

parent 7ee0bbec
Pipeline #555 passed with stages
in 1 minute and 3 seconds
......@@ -2,6 +2,9 @@ FROM ubuntu:18.04
MAINTAINER Florent Jaillet
WORKDIR /
ENV DEBIAN_FRONTEND noninteractive
# In the following "apt-get install ..." command, cmake, make, g++,
# libfftw3-dev, and liblapack-dev are not needed for madarrays but are added
# to be able to install ltfatpy via pip
RUN apt-get update && \
apt-get upgrade -y && \
apt-get install -y --no-install-recommends \
......@@ -12,7 +15,6 @@ RUN apt-get update && \
python3-numpy\
python3-scipy \
python3-matplotlib \
python3-ltfatpy \
ipython3 \
python3-six \
python3-numba \
......@@ -28,7 +30,12 @@ RUN apt-get update && \
python3-nbsphinx \
jupyter-client \
jupyter-notebook \
pandoc \
pandoc \
cmake \
make \
g++ \
libfftw3-dev \
liblapack-dev \
&& \
apt-get clean
RUN mkdir -p /root/.config/matplotlib && \
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment